Bug 30427 - config files should be noreplace
Summary: config files should be noreplace
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bindconf (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-03 06:30 UTC by Jeremy Katz
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 15:14:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2001-03-03 06:30:48 UTC
In bindconf-1.1-1, config files should be marked %config(noreplace) instead
of just %config to avoid replacing users' DNS configs on an upgrade of the
package.

Comment 1 Harald Hoyer 2001-03-05 09:12:30 UTC
problem is, that the format of the config files changed, so a replace should be
done

Comment 2 Harald Hoyer 2001-03-05 09:18:51 UTC
FYI, they are marked as config files..
%config /etc/alchemist/switchboard/dns.switchboard.adl
%config /etc/alchemist/namespace/dns/local.adl
%config /etc/pam.d/%{name}
%config /etc/security/console.apps/%{name}

[harald@faro bindconf]$ rpm -qpc bindconf-1.1-1.noarch.rpm
/etc/alchemist/namespace/dns/local.adl
/etc/alchemist/switchboard/dns.switchboard.adl
/etc/pam.d/bindconf
/etc/security/console.apps/bindconf

Comment 3 Jeremy Katz 2001-03-05 13:45:54 UTC
Yes, but beta to beta and beta to final upgrades are not supported and it is
much more important to ensure that you don't completely lose people's DNS
configs on later upgrades (at which point, if the format changes, there will
probably need to be a conversion tool).

Comment 4 Harald Hoyer 2001-03-05 15:14:12 UTC
will change it :o)

Comment 5 Preston Brown 2001-03-05 20:09:39 UTC
fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.